const express = require("express");
const router = express.Router();
const accountTransactionController = require("./account-transaction-controller");
const plAccountTransactionController = require("./pl-account-transaction-controller");

// * insert customer bill payment transactions
router.post(
  "/customer-bill-payment-advance/",
  accountTransactionController.insertCustomerBillPaymentAdvanceTransaction
);

// * insert due payment collection transactions
router.post(
  "/customer-due-payment-collect/",
  accountTransactionController.insertDuePaymentCollection
);

// * insert other income transaction
router.post(
  "/other-income-transaction-insert/",
  accountTransactionController.insertOtherIncomeTransaction
);

// * insert other expense transaction
router.post(
  "/other-expense-transaction-insert/",
  accountTransactionController.insertOtherExpenseTransaction
);

// * insert hospital payment expense transaction
router.post(
  "/hospital-fee-expense-transaction-insert/",
  accountTransactionController.insertHospitalFeeExpenseTransaction
);

// * insert doctor reference fee payment transaction
router.post(
  "/doctor-ref-fee-payment-transaction-insert/",
  accountTransactionController.insertDoctorRefFeeTransaction
);

// * view all bill temp data in print table get to re print
router.get(
  "/all-bill-transaction-data/:id?",
  accountTransactionController.getAllLabTestTempBillDataTable
);

// * view all pl tra table bill data in get to show table
router.get(
  "/all-pl-bill-transaction-data/:id?",
  plAccountTransactionController.getAllPLTraTransactionByPatientId
);

module.exports = router;
