const express = require("express");
const router = express.Router();
const accountController = require("./account-controller");

// * Get all lab test transaction
router.get(
  "/view-all-test-transaction/",
  accountController.allLabTestTransaction
);

// * Get selected gl accounts main type having sub gl account types
router.get(
  "/gl-account-sub-types/:mainTypeId",
  accountController.getGLAccountTypesByMainTypeId
);

// * Get GL Account income and expenses main type code
router.get("/gl-account-main-types", accountController.getGLAccountMainTypes);

// * Get GL Account names to data table view
router.get(
  "/gl-account-table-view",
  accountController.getAllGLAccountsToTableView
);

// * Get today income expenses cash and bank balance to dashboard
router.get(
  "/gl-account-income-expenses-cash-bank-bal-daily-dash",
  accountController.calculateGLIncomeExpenseCashBankByDailyDashboard
);

// * Get all gl account name and id by selected account type
router.get("/all-gl-account/:type", accountController.getAllGLAccountByType);

// * Get all transaction to data table by selected account code
router.get(
  "/all-gl-transaction-by-account-table-view/:id",
  accountController.getTransactionsToTableViewByID
);

// * Get account balance credit debit summery balance by account id
router.get(
  "/gl-account-summery-balance-by-id/:id",
  accountController.calculateGLBalanceByAccID
);

// * Get selected lab test data
router.get("/:type", accountController.allPLAccountByType);

// * create gl account
router.post("/create-gl-account", accountController.createGLAccount);

module.exports = router;
