const express = require("express");
const router = express.Router();
const branchController = require("./branch-controller");

// * Get All branch names
router.get("/branch-name/", branchController.getAllBranchName);

// * Create a new branch
router.post("/", branchController.createBranch);

// * Update an existing branch
router.put("/:id", branchController.updateBranch);

// * Get all branch data for table view
router.get("/", branchController.getAllBranches);

// * Get selected branch data
router.get("/:id", branchController.getBranchById);

module.exports = router;
