const express = require("express");
const router = express.Router();
const accountDashboardController = require("./account-dashboard-controller");

const labTestDashboardController = require("./lab-test-dashboard-controller");

// * get monthly income expenses total and gross profit
router.get(
  "/get-total-income-expenses-gross-profit-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.calculateGLIncomeExpenseGrossProfitMonthlyDashboard
);

// * get monthly income expenses in cash vs bank ratio
router.get(
  "/get-total-income-expenses-cash-bank-ratio-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.calculateGLIncomeExpenseCashVsBankRatioMonthlyDashboard
);

// * get monthly income by account ratio
router.get(
  "/get-total-income-account-ratio-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.calculateGLIncomeAccountRatioMonthlyDashboard
);

// * get monthly Expenses by account ratio
router.get(
  "/get-total-expenses-account-ratio-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.calculateGLExpensesAccountRatioMonthlyDashboard
);

// * get transactions summery
router.get(
  "/view-all-transaction-by-summery-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.getAllGLTraTransactionSummery
);

// * get all transactions by income and expenses transaction type
router.get(
  "/view-all-transaction-by-income-expenses-monthly-dashboard/:startDate/:endDate/:branchId",
  accountDashboardController.getAllGLTraTransactionByExpensesIncomeType
);

// * get total income expenses and cash bank balance
router.get(
  "/get-total-income-expenses-cash-bank-balance/:startDate/:endDate/:branchId",
  accountDashboardController.calculateGLIncomeExpenseCashBankByMonthlyDashboard
);

// * get all transactions by transaction type
router.get(
  "/view-all-transaction-by-type-monthly-dashboard/:startDate/:endDate/:branchId/:type",
  accountDashboardController.getAllGLTraTransactionByType
);

// ! lab test reports routers

// * view all lab test by hospital id branch id lab test id patient id and start end date to table view
router.get(
  "/view-all-transaction-by-type-monthly-dashboard/:branchId/:labTestId/:hospitalId/:patId/:startDate/:endDate",
  labTestDashboardController.getAllLabTestByHospitalLabTestPatientBranchStartEndDateDataTable
);

module.exports = router;
