const express = require("express");
const router = express.Router();
const doctorController = require("./doctor-controller");

// * get all doctor names and ids
router.get("/doctor-names/", doctorController.getDoctorNamesAndID);

// * Create a new doctor
router.post("/", doctorController.createDoctor);

// * Update an existing doctor
router.put("/:id", doctorController.updateDoctor);

// * Get all doctor data for table view
router.get("/", doctorController.getAllDoctors);

// * Get selected doctor data
router.get("/:id", doctorController.getDoctorById);

module.exports = router;
