const express = require("express");
const router = express.Router();
const hospitalController = require("./hospital-controller");

// * get all hospital names and ids
router.get("/hospital-names/", hospitalController.getHospitalNamesAndID);

// * Create a new hospital
router.post("/", hospitalController.createHospital);

// * Update an existing hospital
router.put("/:id", hospitalController.updateHospital);

// * get all hospital data to table view
router.get("/", hospitalController.getAllHospitals);

// * get selected hospital data
router.get("/:id", hospitalController.getHospitalById);

module.exports = router;
