const express = require("express");
const router = express.Router();
const labTestTransactionController = require("./lab-test-transaction-controller");

// * insert lab test transactions
router.post("/", labTestTransactionController.insertLabTestTransaction);

// * get all not update lab test transactions
router.get(
  "/not-update-transactions/",
  labTestTransactionController.getAllNotUpdateTransactions
);

// * get all lab test count summery
router.get(
  "/lab-test-transaction-count-summery-daily",
  labTestTransactionController.getLabTestCountsSummeryByDate
);

// * get all lab test hourly count summery
router.get(
  "/lab-test-transaction-hourly-count-daily",
  labTestTransactionController.getLabTestHourlyCountsByDate
);

// * get after add to permanent all transaction data lab test transactions to table view
router.get(
  "/total-reference-fee-by-id-set",
  labTestTransactionController.getSumOfRefFeeByIds
);

// * get total of payable hospital fee select by selected ids
router.get(
  "/sum-of-payable-hospital-fee-selected-ids",
  labTestTransactionController.getSumOfPayableHospitalFeeBySelectedId
);

// * get total values lab test transactions
router.get(
  "/total-values/:id",
  labTestTransactionController.getTotalValueByTraId
);

// * get all transaction data lab test transactions to table view
router.get(
  "/view-data-table/:id",
  labTestTransactionController.getAllLabTestDataTable
);

// * get after add to permanent all transaction data lab test transactions to table view
router.get(
  "/after-view-data-table/:id",
  labTestTransactionController.getAfterAllLabTestDataTable
);

// * get total of payable hospital fee select by hospital id
router.get(
  "/sum-of-payable-hospital-fee/:hospitalId",
  labTestTransactionController.getSumOfPayableHospitalFeeByHospitalId
);

// * get after add to permanent all transaction data lab test transactions to table view
router.get(
  "/doctor-ref-fee-test-transaction-view-data-table/:refId",
  labTestTransactionController.getDoctorRefFeeTestDataTable
);

// * get after add to permanent all transaction data lab test transactions to table view
router.get(
  "/hospital-fee-transfer-test-transaction-view-data-table/:hospitalId",
  labTestTransactionController.getHospitalFeeTransferTestDataTable
);

// * view all details about lab test transaction by id
router.get(
  "/lab-test-transaction-details-by-id/:id",
  labTestTransactionController.getAllDataTestTransactionById
);

// * create patient report upload folder
router.get(
  "/create-patient-report-folder/:folder_name",
  labTestTransactionController.createPatientReportUploadFolder
);

// * delete transaction data lab test transactions
router.delete(
  "/delete-transactions/:id",
  labTestTransactionController.deleteLabTestTransactionByID
);

// * update other hospital test transfer received status and complete status
router.put(
  "/update-test-transfer-received-status/:id",
  labTestTransactionController.updateReceivedTestTransferStatus
);

module.exports = router;
