const db_con = require("../../../config/database-connection");

const getAccountByTrackerId = (req, res) => {
  const trackerId = req.params.trackerId;

  // Query to fetch data based on pl_acc_tracker_id
  db_con.query(
    "SELECT pl_acc_no, DATE_FORMAT(pl_acc_date_time, '%Y-%m-%d %H:%i:%s') as pl_acc_date_time, pl_acc_type, pl_acc_capital, pl_acc_avb_balance FROM pl_acc_tbl WHERE pl_acc_tracker_id = ?",
    [trackerId],
    (error, results) => {
      if (error) {
        res.status(500).send(error);
      } else {
        if (results.length === 0) {
          res
            .status(404)
            .json({ message: "No data found for the specified tracker ID" });
        } else {
          res.status(200).json(results[0]);
        }
      }
    }
  );
};

module.exports = {
  getAccountByTrackerId,
};
