const express = require("express");
const router = express.Router();
const patientController = require("./patient-controller");

// * get all patient names and ids
router.get("/patient-names/", patientController.getPatientNamesAndID);

// * Create a new patient
router.post("/", patientController.createPatient);

// * Update an existing patient
router.put("/:id", patientController.updatePatient);

// * get all patient data to table view
router.get("/", patientController.getAllPatients);

// * get selected patient data
router.get("/:id", patientController.getPatientById);

module.exports = router;
