const express = require("express");
const router = express.Router();
const userController = require("./user-controller");

// * Define routes
router.get("/", userController.getAllUsers);
router.get("/:id", userController.getUserById);

// * Create a new user
router.post("/", userController.createUser);

// * Update an existing user
router.put("/update_user/:id", userController.updateUser);

// * Login route
router.post("/login", userController.loginUser);

// * update user password
router.put("/reset_password/:id", userController.updateUserPassword);

module.exports = router;
