function generateTestTraGenId(db_con, branchId, typeId, callback) {
  db_con.query(
    "SELECT MAX(SUBSTRING(test_tra_gen_id, 7)) AS maxId FROM tmp_generate_lab_test_tra_id_tbl WHERE test_tra_gen_branch = ? AND test_tra_gen_type = ?",
    [branchId, typeId],
    (error, results) => {
      if (error) {
        return callback(error);
      }

      let newId;
      if (results && results[0].maxId !== null) {
        const nextNumber = parseInt(results[0].maxId, 10) + 1;
        newId = branchId + `-LT${String(nextNumber).padStart(8, "0")}`;
      } else {
        newId = branchId + "-LT00000001";
      }

      // Insert the newId into the database
      db_con.query(
        "INSERT INTO tmp_generate_lab_test_tra_id_tbl (test_tra_gen_id, test_tra_gen_branch, test_tra_gen_type) VALUES (?, ?, ?)",
        [newId, branchId, typeId],
        (insertError) => {
          if (insertError) {
            return callback(insertError);
          }
          callback(null, newId);
        }
      );
    }
  );
}

module.exports = generateTestTraGenId;
