const timeZone = "Asia/Colombo";
const [Today_Date, Today_Time] = new Date()
  .toLocaleString("en-US", { timeZone, hour12: false })
  .split(", ")[0]
  .split(" ");

// ! Create insert function for pl_acc_tbl
const insertPlAcc = (db_con, pl_acc_tracker_id, pl_acc_type, callback) => {
  // Generate custom ID for pl_acc_no
  const queryMaxId =
    "SELECT MAX(CAST(SUBSTRING(pl_acc_no,5) AS UNSIGNED)) AS max_id FROM pl_acc_tbl WHERE pl_acc_type = ?";
  db_con.query(queryMaxId, [pl_acc_type], (error, results) => {
    if (error) {
      return callback(error, null);
    }

    const maxID = results[0].max_id || 0;
    const nextID = maxID + 1;

    // Format the next pl_acc_no
    const pl_acc_no = pl_acc_type + "-" + `${String(nextID).padStart(6, "0")}`;

    // Insert data into pl_acc_tbl
    const queryInsert =
      "INSERT INTO pl_acc_tbl (pl_acc_no, pl_acc_tracker_id, pl_acc_date_time, pl_acc_type) VALUES (?, ?, NOW(), ?)";
    const values = [pl_acc_no, pl_acc_tracker_id, pl_acc_type];

    db_con.query(queryInsert, values, (insertError, insertResults) => {
      if (insertError) {
        return callback(insertError, null);
      } else {
        return callback(null, {
          message: "Record added successfully",
          pl_acc_no: pl_acc_no,
        });
      }
    });
  });
};

module.exports = insertPlAcc;
