const timeZone = "Asia/Colombo";
const fs = require('fs')
//const http = require('https');


const express = require("express");
const cors = require("cors");
const app = express();
const UserRouter = require("./API/V1/User/user-router");
const HospitalRouter = require("./API/V1/Hospital/hospital-router");
const PatientRouter = require("./API/V1/Patient/patient-router");
const DoctorRouter = require("./API/V1/Doctor/doctor-router");
const LabTestRouter = require("./API/V1/Lab-Test/lab-test-router");
const BranchRouter = require("./API/V1/Branch/branch-router");
const DayEndRouter = require("./API/V1/Day-Open-End/day-router");
const PlAccountRouter = require("./API/V1/PL-Account/pl-account-router");
const LabTestTransactionTouter = require("./API/V1/Lab-Test-Transaction/lab-test-transaction-router");
const AccountTransactionRouter = require("./API/V1/Account-Transaction/account-transaction-router");
const AccountRouter = require("./API/V1/Account/account-router");
const AccountDashboardRouter = require("./API/V1/Dashboard-And-Report/dashboard-router");

// ! Enable CORS for all routes
app.use(cors());

// ! Parse JSON bodies
app.use(express.json());

// ! Use user routes
app.use("/api/v1/users", UserRouter);

// ! Use hospital routes
app.use("/api/V1/hospital", HospitalRouter);

// ! Use patient routes
app.use("/api/V1/patient", PatientRouter);

// ! Use doctor routes
app.use("/api/V1/doctor", DoctorRouter);

// ! Use lab test routes
app.use("/api/V1/lab-test", LabTestRouter);

// ! Use branch routes
app.use("/api/V1/branch", BranchRouter);

// ! Use day open and end routes
app.use("/api/V1/day-open-end", DayEndRouter);

// ! Use PL Account routes
app.use("/api/V1/pl-account", PlAccountRouter);

// ! Use Lab Test Transaction routes
app.use("/api/V1/lab-test-transaction", LabTestTransactionTouter);

// ! Use Account Transaction routes
app.use("/api/V1/account-transaction", AccountTransactionRouter);

// ! Use Account  routes
app.use("/api/V1/account", AccountRouter);

// ! Use Account dashboard routes
app.use("/api/V1/account-dashboard", AccountDashboardRouter);

var options = {
  key: fs.readFileSync('/home/www/health-care-lab-pannala.hashloopit.com/API/health-care-lab-pannala.hashloopit.com.key'),
  ca: fs.readFileSync('/home/www/health-care-lab-pannala.hashloopit.com/API/health-care-lab-pannala.hashloopit.com.ca'),
  cert: fs.readFileSync('/home/www/health-care-lab-pannala.hashloopit.com/API/health-care-lab-pannala.hashloopit.com.cert')
};

//https.createServer(options, app).listen(26418);

const server = app.listen(26418,() => {
  const port = server.address().port;
  console.log("Server up and running on port", port);
});